aboutsummaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2021-05-30 10:02:20 -0700
committerWireshark GitLab Utility <gerald+gitlab-utility@wireshark.org>2021-05-30 17:32:32 +0000
commita7148056287dff4e0e7affc860c2ec7a5274f05d (patch)
treea6b53e6092fd023ca1cce95df06823589a23dfdf /packaging
parentf4e18241b919d0e7a71c5e871a0fd22b98a5877c (diff)
macOS: Name our .dmgs according to our architecture.
In osx-dmg.sh, add "ARM 64" or "Intel 64" to our .dmg name depending on the architecture of Wireshark.app/Contents/MacOS/Wireshark.
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in11
1 files changed, 10 insertions, 1 deletions
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 3934a12f85..07f759ea3f 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -8,7 +8,7 @@ set -e
dmgbuild="@DMGBUILD_EXECUTABLE@"
version="@VERSION@"
settings_file="@CMAKE_BINARY_DIR@/packaging/macosx/dmgbuild-settings.py"
-architecture="Intel 64"
+architecture=""
# Help message
#----------------------------------------------------------
@@ -34,6 +34,15 @@ if [ ! -x "$dmgbuild" ] ; then
exit 1
fi
+if lipo Wireshark.app/Contents/MacOS/Wireshark -verify_arch arm64e ; then
+ architecture="ARM 64"
+elif lipo Wireshark.app/Contents/MacOS/Wireshark -verify_arch x86_64 ; then
+ architecture="Intel 64"
+else
+ echo "Error: Wireshark.app missing or has unknown architecture."
+ exit 1
+fi
+
# Parse command line arguments
while [ "$1" != "" ]
do